import React, { useRef } from "react";

const PreRound = ({ gameId, playerName, onStart }) => {
  const textareaRef = useRef(null);
  const copyGameId = () => {
    textareaRef.current.select();
    document.execCommand("copy");
  };

  return (
    <div style={{
      display: "flex",
      flexDirection: "column",
      justifyContent: "center",
      alignItems: "center",
    }}>
      <span>Playing as {playerName}</span>
      <span onClick={copyGameId}>Game Code: {gameId} (click to copy)</span>
      <button onClick={onStart}>Start Game</button>
      <textarea
        ref={textareaRef}
        style={{ position: "absolute", top: "-1000px" }}
        value={gameId}
        readOnly
      />
    </div>
  );
}

export default PreRound;
